Oore CI
ReferenceAPIOperationsRunners

Stream a private GitLab upload-pack request

Stream a private GitLab upload-pack request

Operation IDgitlab_checkout_upload_pack
POST
/v1/runners/{runner_id}/jobs/{job_id}/gitlab/{git_path}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

runner_id*string

Runner ID

job_id*string

Build/Job ID

git_path*string

Multi-segment assigned repository git-upload-pack path; preserve slash separators

Request Body

application/x-git-upload-pack-request

Git upload-pack request

TypeScript Definitions

Use the request body type in TypeScript.

body*BinaryPayload
Formatbinary

Response Body

application/x-git-upload-pack-result

application/json

curl -X POST "https://example.com/v1/runners/string/jobs/string/gitlab/string" \  -H "Content-Type: application/x-git-upload-pack-request" \  -d 'string'
"string"